


SELECT C.CLIENTE_ID, C.NOMBRE, C.APELLIDO, C.CEDULA, F.FECHA, F.FACTURA_ID, 
D.ID AS ID_DETALLE, P.NOMBRE AS PRODUCTO, P.PRECIO
FROM CLIENTE C
INNER JOIN FACTURA F ON F.CLIENTE_ID = C.CLIENTE_ID
INNER JOIN DETALLE D ON  D.FACTURA_ID = F.FACTURA_ID
INNER JOIN PRODUCTOS P ON P.PRODUCTOS_ID = D.PRODUCTOS_ID
WHERE CEDULA = "123456" 
ORDER BY PRODUCTO ASC;

#Funciones

SELECT * FROM PRODUCTOS;

#Cuenta los registros
SELECT COUNT(*) FROM PRODUCTOS;

#Sumar
SELECT SUM(PRECIO) FROM PRODUCTOS;


SELECT C.CLIENTE_ID, C.NOMBRE, C.APELLIDO, C.CEDULA, F.FECHA, F.FACTURA_ID,
SUM(P.PRECIO) AS SUBTOTAL
FROM CLIENTE C
INNER JOIN FACTURA F ON F.CLIENTE_ID = C.CLIENTE_ID
INNER JOIN DETALLE D ON  D.FACTURA_ID = F.FACTURA_ID
INNER JOIN PRODUCTOS P ON P.PRODUCTOS_ID = D.PRODUCTOS_ID
WHERE CEDULA = "123456" 
GROUP BY F.FACTURA_ID;

#Función de concatenación
SELECT CONCAT(NOMBRE, " ", APELLIDO) AS NOMBRE_COMPLETO FROM CLIENTE;



